## Your first API call

You have your access token. Here is a simple read-only call to confirm everything is working and get familiar with the API before building anything.

This page assumes you have a valid access token. See [API Basics](/docs/get-started/api-basics) for authentication.

## 1. List all payout methods

```
GET /v3/distribution-manager/payout-methods
```

curl
```bash
curl --request GET \
  --url '[Your API Base URL]/v3/distribution-manager/payout-methods' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

Python
```python
import requests

url = "[Your API Base URL]/v3/distribution-manager/payout-methods"
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}

response = requests.get(url, headers=headers)
print(response.json())
```

Node
```javascript
const response = await fetch(
  '[Your API Base URL]/v3/distribution-manager/payout-methods',
  {
    method: 'GET',
    headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
  }
);
const data = await response.json();
console.log(data);
```

**Succesful response example:**

```json
[
    {
        "id": "b9ecb75a-1a34-4d1a-84cb-14298edbaf18",
        "name": "Bank Transfer",
        "category": "ACHTransfer",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/bank-transfer/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "Bank Transfer",
        "minAmount": null,
        "maxAmount": 100000.00
    },
    {
        "id": "84175cf5-4f5f-496b-95ca-2456d369fccf",
        "name": "PayPal Transfer",
        "category": "PayPalTransfer",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/paypal-transfer/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "PayPal with 10-day delivery",
        "minAmount": null,
        "maxAmount": 2000.00
    },
    {
        "id": "357ffc5f-ef47-4684-99f9-4cca424d2f81",
        "name": "Easy Prepaid Mastercard®",
        "category": "PrepaidCards",
        "iconUrl": "https://cdn.talli.ai/PayoutMethod/prepaid-mastercard/icon.png",
        "isValidPhoneNumberRequired": false,
        "isActive": true,
        "description": "Easy Prepaid Mastercard®",
        "minAmount": null,
        "maxAmount": 2000.00
    }
]
```

Copy the `id` of the payout method you want to inspect.

## 2. Get a single payout method

Replace `YOUR_PAYOUT_METHOD_ID` in the URL with the `id` you copied in step 1.

```
GET /v3/distribution-manager/payout-methods/{payoutMethodId}
```

curl
```bash
curl --request GET \
  --url '[Your API Base URL]/v3/distribution-manager/payout-methods/YOUR_PAYOUT_METHOD_ID' \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

Python
```python
import requests

url = "[Your API Base URL]/v3/distribution-manager/payout-methods/YOUR_PAYOUT_METHOD_ID"
headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}

response = requests.get(url, headers=headers)
print(response.json())
```

Node
```javascript
const response = await fetch(
  '[Your API Base URL]/v3/distribution-manager/payout-methods/YOUR_PAYOUT_METHOD_ID',
  {
    method: 'GET',
    headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
  }
);
const data = await response.json();
console.log(data);
```

**Succesful response example:**

```json
{
    "id": "b9ecb75a-1a34-4d1a-84cb-14298edbaf18",
    "name": "Bank Transfer",
    "category": "ACHTransfer",
    "iconUrl": "https://cdn.talli.ai/PayoutMethod/bank-transfer/icon.png",
    "isValidPhoneNumberRequired": false,
    "isActive": true,
    "description": "Bank Transfer",
    "minAmount": null,
    "maxAmount": 100000.00
}
```

## Next steps

- [Quickstart: Distributions](/docs/get-started/quickstart-distributions) - get started with distributions
- Go to **API Reference** in the sidebar for full v3 endpoint documentation